SkmXmlApi

Static Public Member Functions | Protected Attributes | Properties | List of all members
SkmXmlApi.SkmObject Class Reference

An Skm resource object base class, such as a Camera or Audio or Ptz. All Skm resouce objects should inherit from this abstract class More...

Inheritance diagram for SkmXmlApi.SkmObject:

## Static Public Member Functions
static void | LoadFromXml (SkmObject SkmResource, XmlNode SkmObjectNode)
| Loads abstract resource data from Xml node into the current instance More...

## Protected Attributes
SkmObjectType | m_objectType
| Skm resource object type More...
int | m_id = 0
| Skm's object identifier More...
string | m_name = ""
| The Skm name of the Skm object More...
string | m_location = ""
| The user defined location of the Skm object More...
List< SkmPermissionList > | m_roles = new List<SkmPermissionList>()
| The user's roles associated with the Skm resouce More...
bool | m_isPtz = false
| Flag if camera is a ptz device More...
Protected Attributes inherited from SkmXmlApi.SkmBase
SkmSession | m_session
| Reference to the Skm session of the object More...

## Properties
SkmObjectType | ObjectType`[get]`
| Skm resource object type More...
int | Id`[get]`
| Skm's object identifier More...
string | Name`[get, set]`
| The Skm name of the Skm object More...
string | Location`[get, set]`
| The user defined location of the Skm object More...
List< SkmPermissionList > | Roles`[get]`
| The user's roles that are associated to the resource More...
bool | IsPtz`[get]`
| Flag is set true if the camera is a PTZ device. More...
ObjectAttributes | Attributes`[get, protected set]`
| Skm object attributes. More...
Properties inherited from SkmXmlApi.SkmBase
SkmSession | Session`[get]`
| The current Skm session of the Skm object More...

## Additional Inherited Members
Public Member Functions inherited from SkmXmlApi.SkmBase
| SkmBase (SkmSession Session)
| Constructor More...

## Detailed Description

An Skm resource object base class, such as a Camera or Audio or Ptz. All Skm resouce objects should inherit from this abstract class

## Member Function Documentation

## ◆ LoadFromXml()

static void SkmXmlApi.SkmObject.LoadFromXml | ( | SkmObject | SkmResource,
|  | XmlNode | SkmObjectNode
| ) |  |
| static

Loads abstract resource data from Xml node into the current instance

Parameters

  SkmResource | The object to load data into
  SkmObjectNode | The Xml node from the Skm Api

## Member Data Documentation

## ◆ m_id

int SkmXmlApi.SkmObject.m_id = 0
| protected

Skm's object identifier

## ◆ m_isPtz

bool SkmXmlApi.SkmObject.m_isPtz = false
| protected

Flag if camera is a ptz device

## ◆ m_location

string SkmXmlApi.SkmObject.m_location = ""
| protected

The user defined location of the Skm object

## ◆ m_name

string SkmXmlApi.SkmObject.m_name = ""
| protected

The Skm name of the Skm object

## ◆ m_objectType

SkmObjectType SkmXmlApi.SkmObject.m_objectType
| protected

Skm resource object type

## ◆ m_roles

List<SkmPermissionList> SkmXmlApi.SkmObject.m_roles = new List<SkmPermissionList>()
| protected

The user's roles associated with the Skm resouce

## Property Documentation

## ◆ Attributes

ObjectAttributes SkmXmlApi.SkmObject.Attributes
| get protected set

Skm object attributes.

## ◆ Id

int SkmXmlApi.SkmObject.Id
| get

Skm's object identifier

## ◆ IsPtz

bool SkmXmlApi.SkmObject.IsPtz
| get

Flag is set true if the camera is a PTZ device.

## ◆ Location

string SkmXmlApi.SkmObject.Location
| get set

The user defined location of the Skm object

## ◆ Name

string SkmXmlApi.SkmObject.Name
| get set

The Skm name of the Skm object

## ◆ ObjectType

SkmObjectType SkmXmlApi.SkmObject.ObjectType
| get

Skm resource object type

## ◆ Roles

List<SkmPermissionList> SkmXmlApi.SkmObject.Roles
| get

The user's roles that are associated to the resource

The documentation for this class was generated from the following file:

- src/SkmXmlApi/SkmObject.cs